<?php
// $Id: content_blog_category.menu.php,v 1.1 2003/11/13 22:27:10 rcastley Exp $
/**
* Administrator menu content blog section event handler by ChipJack
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.1 $
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

//$types[] = mosHTML::makeOption( 'new_item', 'Content Item' );
$types[] = mosHTML::makeOption( 'content_blog_category', 'Content Blog Category' );

$reqpath = "$mosConfig_absolute_path/administrator/components/com_menus/content_blog_category";
require_once( "$reqpath/content_blog_category.class.php" );
require_once( "$reqpath/content_blog_category.menu.html.php" );

switch ($task) {
   case "content_blog_category":
      // this is the new item, ie, the same name as the menu `type`
      content_blog_category_menu::edit( 0, $menutype, $option );
      break;

   case "edit":
      content_blog_category_menu::edit( $cid[0], $menutype, $option );
      break;

   case "save":
      // no special handling
      saveMenu( $option );
      break;

   case "publish":
   case "unpublish":
      // no special action
      break;

   case "remove":
      // no special action
      break;
}
?>